org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.CreateAlias

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateAlias

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<T extends CollectionAdminResponse>

    public static class CollectionAdminRequest.CreateAlias
    extends CollectionAdminRequest.AsyncCollectionAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `aliasedCollections`
`protected String` `aliasName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`CreateAlias()` Deprecated. Use `CollectionAdminRequest.createAlias(String, String)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getAliasedCollections()`
`String` `getAliasName()`
`SolrParams` `getParams()`
`CollectionAdminRequest.CreateAlias` `setAliasedCollections(String alias)` Deprecated.
`CollectionAdminRequest.CreateAlias` `setAliasName(String aliasName)` Deprecated.
`CollectionAdminRequest.CreateAlias` `setAsyncId(String id)` Deprecated.

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### aliasName

    protected String aliasName

#### aliasedCollections

    protected String aliasedCollections

### Constructor Detail

#### CreateAlias

    @Deprecated
    public CreateAlias()

Deprecated. Use `CollectionAdminRequest.createAlias(String, String)`

### Method Detail

#### setAliasName

    @Deprecated
    public CollectionAdminRequest.CreateAlias setAliasName(String aliasName)

Deprecated.
Provide the name of the alias to be created. Alias names must consist entirely of periods, underscores and alphanumerics. Other characters are not allowed.

Throws:
  `IllegalArgumentException` - if the alias name contains invalid characters.

#### getAliasName

    public String getAliasName()

#### setAliasedCollections

    @Deprecated
    public CollectionAdminRequest.CreateAlias setAliasedCollections(String alias)

Deprecated.

#### getAliasedCollections

    public String getAliasedCollections()

#### setAsyncId

    @Deprecated
    public CollectionAdminRequest.CreateAlias setAsyncId(String id)

Deprecated.

Overrides:
  `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`